# Watchdog

### Discord bot that logs joins and leaves to a server's system messages channel. 

![Screenshot](https://i.imgur.com/dhFAXi5.png)

## Requires:
- Python 3.6+
- [discord.py](https://github.com/rapptz/discord.py)

## Installation:
This guide assumes you've downloaded Python 3.6 or later and added Python to PATH.

1. Clone the repo.
    ```console
    $ git clone https://git.tcp.direct/nameless/watchdog
    $ cd watchdog
    ```
2. Create a Discord bot account, grant the members intents, and invite the bot ([guide](https://discordpy.readthedocs.io/en/stable/discord.html))
3. Rename the file `.env.example` to `.env` and fill it with appropriate values
   - If you can't find `.env.example` because it's hidden, enable hidden files on your operating system or create a new text file named `.env`, then copy the contents of [this file](https://git.tcp.direct/nameless/watchdog/src/branch/master/.env.example) and replace the placeholder with its respective value.
   - If you're on Windows and cannot save the file as `.env`, save it as `.env.` instead (this only applies to Windows!)
4. Update pip, install pipenv, and install dependencies using pipenv
    ```console
    $ pip install -U pip
    $ pip install pipenv
    $ pipenv install
    ```
    - pip and pipenv can also be managed by your system's package manager if preferred.
5. Go to the Overview section in your server settings and set the system messages channel.
    - It is recommended to disable random welcome messages.
6. Start the bot
    ```console
    $ pipenv run watchdog
    ```
